#!/bin/bash

# create output directory if it doesn't exist
[ -d gcc ] || mkdir gcc 

# build model
cbuild -directive twocounter.directives \
twocounter.v \
 -o gcc/libtwocounter.a 

# generate SystemC wrapper

carbon systemCWrapper gcc/libtwocounter.io.db

# some simulators need to have the filenames match the Verilog module name
mv libtwocounter.systemc.cpp twocounter.cpp
mv libtwocounter.systemc.h twocounter.h
sed -i -e s/libtwocounter.systemc.h/twocounter.h/ twocounter.cpp
